## /Web/UI/WebControls/assets/captcha.php

Description

CAPTCHA generator script.

- version: $Id: captcha.php 2184 2007-08-30 16:18:16Z xue $
- license: http://www.pradosoft.com/license/
- copyright: Copyright &copy; 2005-2007 PradoSoft
- link: http://www.pradosoft.com/
- author: Qiang Xue <qiang.xue@gmail.com>

Includes
require_once (dirname(__FILE__).'/captcha_key.php') (line 20)
Constants
THEME_HAS_GRID = 0x0004 (line 15)
THEME_HAS_SCRIBBLE = 0x0008 (line 16)
THEME_MORPH_BACKGROUND = 0x0010 (line 17)
THEME_NOISY_BACKGROUND = 0x0002 (line 14)
THEME_OPAQUE_BACKGROUND = 0x0001 (line 13)
THEME_SHADOWED_TEXT = 0x0020 (line 18)
Functions
addBackground (line 124)
void addBackground (mixed $image, mixed $width, mixed $height, mixed $opaque, mixed $noisy, mixed $hasGrid, mixed $hasScribble, mixed $morph)
addGrid (line 167)
void addGrid (mixed $image, mixed $width, mixed $height)
addNoise (line 151)
void addNoise (mixed $image, mixed $width, mixed $height)
addScribble (line 185)
void addScribble (mixed $image, mixed $width, mixed $height)
displayToken (line 77)
void displayToken (mixed $token, mixed $fontSize, mixed $theme)
generateToken (line 52)
void generateToken (mixed $publicKey, mixed $privateKey, mixed $alphabet, mixed $tokenLength, mixed $caseSensitive)
hash2string (line 58)
void hash2string (mixed $hex, mixed $alphabet)
morphImage (line 202)
void morphImage (mixed $image, mixed $width, mixed $height)

Documentation generated on Mon, 21 Apr 2008 11:29:22 -0400 by phpDocumentor 1.3.0RC4